#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,200,280,320,360,400,840,1280,1720
 * N : 25,80,200,280,320,360,400,840,1280,1720
 * NB : 4,40,8,4,4,8,16,12,40,24
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 4; \
   else if ((n_) < 140) (nb_) = 40; \
   else if ((n_) < 240) (nb_) = 8; \
   else if ((n_) < 340) (nb_) = 4; \
   else if ((n_) < 380) (nb_) = 8; \
   else if ((n_) < 620) (nb_) = 16; \
   else if ((n_) < 1060) (nb_) = 12; \
   else if ((n_) < 1500) (nb_) = 40; \
   else (nb_) = 24; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
