#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,160,200,240,280,360,440,520,1080,1640,2200
 * N : 25,120,160,200,240,280,360,440,520,1080,1640,2200
 * NB : 2,8,8,8,24,56,60,56,72,64,40,120
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 24; \
   else if ((n_) < 320) (nb_) = 56; \
   else if ((n_) < 400) (nb_) = 60; \
   else if ((n_) < 480) (nb_) = 56; \
   else if ((n_) < 800) (nb_) = 72; \
   else if ((n_) < 1360) (nb_) = 64; \
   else if ((n_) < 1920) (nb_) = 40; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
